{% for network in networkEntities %}
    <!-- Conteneur pour chaque réseau social -->
    <div class="box-network">
        <!-- Titre du réseau social -->
        <p class="name-social-network">{{ network.title }}</p>
        <!-- Ligne décorative lumineuse -->
        <hr class="glow-line">
        <!-- Lien vers le profil sur le réseau social -->
        <p class="link-social-network"><a href="{{ network.socialnetworklink }}" target="_blank">vers
                mon {{ network.title }} </a></p>

        {% if app.request.attributes.get('_route') == 'network' %}
            <!-- Actions spécifiques si la page actuelle est la page du réseau social -->
            <div class="actions action-network">
                <!-- Action de modification -->
                <div class="action-item">
                    <a href="{{ path('update_network', {'id' : network.id}) }}"><i class="bi bi-pencil" id="update"></i></a>
                    <!-- Icône de modification -->
                </div>
                <!-- Action de suppression -->
                <div class="action-item">
                    <a href="{{ path('delete_network', {'id' : network.id }) }}"><i class="bi bi-trash" id="delete"></i></a>
                    <!-- Icône de suppression supprime seulement la description -->
                </div>
            </div>
        {% endif %}

    </div>
{% endfor %}